#
# spec file for package nomino
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           nomino
Version:        1.4.0
Release:        1.1
Summary:        Batch rename utility for developers
License:        Apache-2.0 OR MIT
URL:            https://github.com/yaa110/nomino
Source0:        %{name}-%{version}.tar.gz
Source1:        vendor.tar.zst
BuildRequires:  cargo-packaging

%description
nomino is a batch rename utility for developers

%prep
%autosetup -a 1

%build
%{cargo_build}

%install
%{cargo_install}

%check
%{cargo_test}

%files
%license LICENSE-APACHE LICENSE-MIT
%{_bindir}/%{name}

%changelog
* Sat Jan  4 2025 Joshua Smith <smolsheep@opensuse.org>
- Update to version 1.4.0:
  * Bumped version and update dependencies
  * add alias dry-run option
* Fri Dec  6 2024 smolsheep@opensuse.org
- Update to version 1.3.7:
  * Bumped version and update dependencies
* Fri Nov 22 2024 Joshua Smith <smolsheep@opensuse.org>
- Update to version 1.3.6:
  * update dependencies
* Thu Jun  6 2024 Joshua Smith <smolsheep@opensuse.org>
- Update to version 1.3.5:
  * README: remove arch linux aur
  * update dependencies
* Sun Apr  7 2024 Joshua Smith <smolsheep@opensuse.org>
- Enable tests
- Switch service to manual from deprecated disabled
- Update to version 1.3.4:
  * rename master branch to main
  * update dependencies
* Thu Dec 28 2023 Joshua Smith <jsmithfpv@gmail.com>
- Update to version 1.3.3:
  * update dependencies
- Modernize to obs_scm
* Tue Aug 29 2023 Joshua Smith <jsmithfpv@gmail.com>
- Update to version 1.3.2:
  * Update to clap v4 (and update other deps too) (#18)
* Mon Jul  3 2023 Joshua Smith <jsmithfpv@gmail.com>
- Initial package of nomino v1.3.1 for openSUSE
